import request from '@/utils/request'

// 查询相亲会列表
export function listActivityShop(query) {
  return request({
    url: '/xq/activityShop/list',
    method: 'get',
    params: query
  })
}

// 查询相亲会详细
export function getActivityShop(id) {
  return request({
    url: '/xq/activityShop/' + id,
    method: 'get'
  })
}

// 新增相亲会
export function addActivityShop(data) {
  return request({
    url: '/xq/activityShop',
    method: 'post',
    data: data
  })
}

// 修改相亲会
export function updateActivityShop(data) {
  return request({
    url: '/xq/activityShop',
    method: 'put',
    data: data
  })
}

export function updateActivityShopUser(data) {
  return request({
    url: '/xq/activityShop/user',
    method: 'put',
    data: data
  })
}

// 删除相亲会
export function delActivityShop(id) {
  return request({
    url: '/xq/activityShop/' + id,
    method: 'delete'
  })
}
